org.keycloak.models.sessions.infinispan

## Class InfinispanPushedAuthzRequestStoreProviderFactory

- java.lang.Object
- - org.keycloak.models.sessions.infinispan.InfinispanPushedAuthzRequestStoreProviderFactory

- All Implemented Interfaces:
    PushedAuthzRequestStoreProviderFactory, EnvironmentDependentProviderFactory, ProviderFactory<PushedAuthzRequestStoreProvider>

      public class InfinispanPushedAuthzRequestStoreProviderFactory
      extends Object
      implements PushedAuthzRequestStoreProviderFactory, EnvironmentDependentProviderFactory

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InfinispanPushedAuthzRequestStoreProviderFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` This is called when the server shuts down.
    `PushedAuthzRequestStoreProvider` | `create(KeycloakSession session)`
    `String` | `getId()`
    `void` | `init(Config.Scope config)` Only called once when the factory is first created.
    `boolean` | `isSupported()`
    `void` | `postInit(KeycloakSessionFactory factory)` Called after all provider factories have been initialized

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.provider.ProviderFactory

      `order`

- - ### Constructor Detail

    - #### InfinispanPushedAuthzRequestStoreProviderFactory

          public InfinispanPushedAuthzRequestStoreProviderFactory()

  - ### Method Detail

    - #### create

          public PushedAuthzRequestStoreProvider create(KeycloakSession session)

      Specified by:
        `create` in interface `ProviderFactory<PushedAuthzRequestStoreProvider>`

    - #### init

          public void init(Config.Scope config)

      Description copied from interface: `ProviderFactory`
      Only called once when the factory is first created. This config is pulled from keycloak_server.json
      Specified by:
        `init` in interface `ProviderFactory<PushedAuthzRequestStoreProvider>`

    - #### postInit

          public void postInit(KeycloakSessionFactory factory)

      Description copied from interface: `ProviderFactory`
      Called after all provider factories have been initialized
      Specified by:
        `postInit` in interface `ProviderFactory<PushedAuthzRequestStoreProvider>`

    - #### close

          public void close()

      Description copied from interface: `ProviderFactory`
      This is called when the server shuts down.
      Specified by:
        `close` in interface `ProviderFactory<PushedAuthzRequestStoreProvider>`

    - #### getId

          public String getId()

      Specified by:
        `getId` in interface `ProviderFactory<PushedAuthzRequestStoreProvider>`

    - #### isSupported

          public boolean isSupported()

      Specified by:
        `isSupported` in interface `EnvironmentDependentProviderFactory`
      Returns:
        `true` if the provider is supported and should be available, `false` otherwise

Copyright © 2021 JBoss by Red Hat. All rights reserved.